AwsCredentials (Gradle API 5.1)

Package org.gradle.api.credentials

## Interface AwsCredentials

- All Superinterfaces:
    `Credentials`

      public interface AwsCredentials
      extends Credentials

  Represents credentials used to authenticate with Amazon Web Services.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessKey()` | Returns the access key to use to authenticate with AWS.
    `String` | `getSecretKey()` | Returns the secret key to use to authenticate with AWS.
    `String` | `getSessionToken()` | Returns the secret key to use to authenticate with AWS.
    `void` | `setAccessKey​(String accessKey)` | Sets the access key to use to authenticate with AWS.
    `void` | `setSecretKey​(String secretKey)` | Sets the secret key to use to authenticate with AWS.
    `void` | `setSessionToken​(String token)` | Sets the secret key to use to authenticate with AWS.

- - ### Method Detail

    - #### getAccessKey

          @Nullable
          String getAccessKey()

      Returns the access key to use to authenticate with AWS.

    - #### setAccessKey

          void setAccessKey​(@Nullable
                            String accessKey)

      Sets the access key to use to authenticate with AWS.

    - #### getSecretKey

          @Nullable
          String getSecretKey()

      Returns the secret key to use to authenticate with AWS.

    - #### setSecretKey

          void setSecretKey​(@Nullable
                            String secretKey)

      Sets the secret key to use to authenticate with AWS.

    - #### getSessionToken

          @Nullable
          String getSessionToken()

      Returns the secret key to use to authenticate with AWS.
      Since:
        3.3

    - #### setSessionToken

          void setSessionToken​(@Nullable
                               String token)

      Sets the secret key to use to authenticate with AWS.
      Since:
        3.3